%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?ruby_sitearch: %global ruby_sitearch %(ruby -rrbconfig -e 'puts Config::CONFIG["sitearchdir"] ')}
%define ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"]')


Name:          openwsman
Version:       2.2.0
Release:        8%{?dist}
License:        BSD
Url:            http://www.openwsman.org/
Source:         http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:         %{name}-initscript.patch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXXX)
Group:          System Environment/Daemons
Summary:        Web Services Management libraries
BuildRequires:  sblim-sfcc-devel curl-devel libxml2-devel pkgconfig pam-devel openssl-devel swig python python-devel ruby ruby-devel
Requires(post): chkconfig
Requires(preun): chkconfig
Requires(postun): initscripts

%description
Openwsman is a project intended to provide an open-source
implementation of the Web Services Management specification
(WS-Management) and to expose system management information on the
Linux operating system using the WS-Management protocol. WS-Management
is based on a suite of web services specifications and usage
requirements that exposes a set of operations focused on and covers
all system management aspects.


%package devel
Summary:        Openwsman Development files
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
%description devel
Openwsman Development files

%package python
Summary:        Openwsman Python bindings
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
%description python
Openwsman python bindings

%package -n ruby-%{name}
Summary:        Openwsman Ruby bindings
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       ruby(abi) = 1.8
Provides:       ruby(%{name}) = %{version}
%description -n ruby-%{name}
Openwsman ruby bindings


%prep
%setup -q 
%patch0 -p1

%build
chmod a-x src/lib/*.[ch]
chmod a-x src/cpp/*.[ch]
chmod a-x include/*.[ch]

# disable eventing, as Fedora libcurl isn't linked against openssl
# disable tests in 2.1.0, http://www.openwsman.org/bug/263
%configure --with-examples=yes --with-tests=no --enable-python=yes --enable-ruby=yes --enable-eventing=no --disable-more-warnings
echo %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
make %{?_smp_flags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
install -m 0644 etc/openwsman.conf %{buildroot}/etc/openwsman
install -m 0644 etc/ssleay.cnf %{buildroot}/etc/openwsman
install -D -m 0755 etc/init/%{name}d.sh %{buildroot}/%{_initrddir}/%{name}d
# move this helper script out of /etc
mkdir -p %{buildroot}/%{_libexecdir}/%{name}/
chmod 0755 %{buildroot}/etc/%{name}/owsmangencert.sh
mv %{buildroot}/etc/%{name}/owsmangencert.sh %{buildroot}/%{_libexecdir}/%{name}/
find %{buildroot} -type f -name \*.la -exec rm \{\} \;
find %{buildroot} -type f -name \*.a -exec rm \{\} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_sbindir}/%{name}d
%{_initrddir}/%{name}d
%{_libexecdir}/%{name}
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%dir %{_libdir}/%{name}/authenticators
%{_libdir}/libwsman*.so.*
%{_libdir}/%{name}/plugins/*so.*
%{_libdir}/%{name}/authenticators/*so.*
%dir /etc/openwsman
%config(noreplace) /etc/openwsman/openwsman.conf
%config(noreplace) /etc/openwsman/ssleay.cnf
%{ruby_libdir}/openwsman
%config(noreplace) %{_sysconfdir}/pam.d/openwsman
%doc COPYING README

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/%{name}/plugins/*so
%{_libdir}/%{name}/authenticators/*so
%{_libdir}/pkgconfig/%{name}*.pc
%doc COPYING examples/serialize.c doc/plugin* 

%files python
%defattr(-,root,root)
%{python_sitelib}/pywsman.py
%{python_sitearch}/*.so
%doc COPYING

%files -n ruby-%{name}
%defattr(-,root,root)
%{ruby_sitearch}/*.so
%doc COPYING

%post
/sbin/ldconfig
/sbin/chkconfig --add %{name}d

%preun
if [ $1 = 0 ] ; then
    /sbin/service %{name}d stop >/dev/null 2>&1
    /sbin/chkconfig --del %{name}d
fi

%postun
/sbin/ldconfig
if [ "$1" -ge "1" ] ; then
    /sbin/service %{name}d condrestart >/dev/null 2>&1 || :
fi


%changelog
* Thu Oct  1 2009 Praveen K Paladugu <praveen_paladugu@dell.com> - 2.2.0-8
- Removed the past hard coding of ruby_libdir
* Thu Sep 24 2009 Praveen K Paladugu <praveen_paladugu@dell.com> - 2.2.0-7
- pywsman.py gets installed in python_sitelib - chaning back
* Thu Sep 24 2009 Praveen K Paladugu <praveen_paladugu@dell.com> - 2.2.0-6
- changing python_sitelib to python_sitearch
* Thu Sep 24 2009 Praveen K Paladugu <praveen_paladugu@dell.com> - 2.2.0-5
- making the python_sitelib and ruby_sitearch global
- test build
* Thu Sep 24 2009 Praveen K Paladugu <praveen_paladugu@dell.com> - 2.2.0-4
- *.rb files are hard coded to be installed in /usr/lib in 32/64-bit
* Thu Sep 24 2009 Praveen K Paladugu <praveen_paladugu@dell.com> - 2.2.0-3
- increased the release for re-tagging.
- one more try
* Thu Sep 24 2009 Praveen K Paladugu <praveen_paladugu@dell.com> - 2.2.0-2
- increased the release for re-tagging.
* Wed Sep 23 2009 Praveen K Paladugu <praveen_paladugu@dell.com> - 2.2.0-1
- Added the new 2.2.0 sources.
- Changed the release and version numbers.
* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 2.1.0-4
- rebuilt with new openssl

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Sep 22 2008 Matt Domsch <Matt_Domsch@dell.com> - 2.1.0-1
- update to 2.1.0, resolves security issues

* Tue Aug 19 2008  <srinivas_ramanatha@dell.com> - 2.0.0-1%{?dist}
- Modified the spec file to adhere to fedora packaging guidelines.
